#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <SetRFPassWord.h>
#include <SetLCD8Char.h>
#include <SetRFModuleByte.h>
#include <GetRFModuleByte.h>

int main(void)
{
    X3RCU_Init();
    unsigned char TX = 0;
    unsigned int RX = 0;
    unsigned int state = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "Transmit:", YELLOW, BLACK);
    SetLCDString(0, 32, "Receive:", YELLOW, BLACK);
    SetRFPassWord(_RFMODULE_1_, 1234567);
    SetRFPassWord(_RFMODULE_2_, 1234567);
    while (1)
    {
        SetLCD8Char(72, 0, TX, YELLOW, BLACK);
        state = SetRFModuleByte(_RFMODULE_1_, TX);
        TX=TX+1;
        RX = GetRFModuleByte(_RFMODULE_2_);
        SetLCD8Char(72, 32, RX, YELLOW, BLACK);
    }
    while(1);
}

